/**
 * Utils - Object
 */
/**
 * Check if value is an object
 *
 * @param {*} value
 * @return {boolean}
 */
declare const isObject: <T>(value: T) => value is object & T;
/**
 * Check if value is an object and not array
 *
 * @param {*} value
 * @return {boolean}
 */
declare const isObjectStrict: <T>(value: T) => value is object & Exclude<T, string | number | boolean | Function | null | undefined | unknown[] | string[] | number[] | boolean[] | Function[]>;
export { isObject, isObjectStrict };
