/**
 * Utils - Object Utils
 */
/**
 * Get object keys cast as keyof object
 *
 * Workaround for index signature
 * Check if object with isObject or isObjectStrict beforehand
 *
 * @param {object} obj
 * @return {string[]}
 */
declare const getObjectKeys: <T>(obj: T) => Array<keyof T>;
/**
 * Preserve type in object entries
 *
 * @param {object} obj
 * @return {Array.<Array.<string, *>>}
 */
declare const getObjectEntries: <T extends object>(obj: T) => Array<[keyof T, T[keyof T]]>;
export { getObjectKeys, getObjectEntries };
