"use strict";
/**
 * Utils - Object Utils
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.getObjectEntries = exports.getObjectKeys = void 0;
/**
 * Get object keys cast as keyof object
 *
 * Workaround for index signature
 * Check if object with isObject or isObjectStrict beforehand
 *
 * @param {object} obj
 * @return {string[]}
 */
const getObjectKeys = (obj) => {
    return Object.keys(obj);
};
exports.getObjectKeys = getObjectKeys;
/**
 * Preserve type in object entries
 *
 * @param {object} obj
 * @return {Array.<Array.<string, *>>}
 */
const getObjectEntries = (obj) => {
    return Object.entries(obj);
};
exports.getObjectEntries = getObjectEntries;
