/**
 * Utils - Contentful Data
 */
import type { ContentfulDataParams, ContentfulDataReturn, AllContentfulDataArgs } from './contentfulDataTypes.js';
import type { RenderAllData } from '../../render/renderTypes.js';
/**
 * Fetch data from contentful cms or cache
 *
 * @param {string} key
 * @param {ContentfulDataParams} params
 * @return {Promise<ContentfulDataReturn>}
 */
declare const getContentfulData: (key?: string, params?: ContentfulDataParams) => Promise<ContentfulDataReturn>;
/**
 * Fetch data from all content types or single entry if serverless
 *
 * @param {AllContentfulDataArgs} args
 * @return {Promise<RenderAllData|undefined>}
 */
declare const getAllContentfulData: (args?: AllContentfulDataArgs) => Promise<RenderAllData | undefined>;
export { getContentfulData, getAllContentfulData };
