/**
 * Utils - Object Utils
 */
/**
 * Get object keys cast as keyof object
 *
 * Workaround for index signature
 * Check if object with isObject or isObjectStrict beforehand
 *
 * @param {object} obj
 * @return {string[]}
 */
const getObjectKeys = (obj) => {
    return Object.keys(obj);
};
/**
 * Preserve type in object entries
 *
 * @param {object} obj
 * @return {Array.<Array.<string, *>>}
 */
const getObjectEntries = (obj) => {
    return Object.entries(obj);
};
/* Exports */
export { getObjectKeys, getObjectEntries };
